﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ECA_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ECA_COSTINIT') 
 CREATE TABLE T_ECA_COSTINIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL
);
EXEC P_ALTERPK 'PK_ECA_COSTINIT', 'T_ECA_COSTINIT', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ECA_COSTINITENTRY') 
 CREATE TABLE T_ECA_COSTINITENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FTRADEID BIGINT DEFAULT 0 NOT NULL,
FROLEID VARCHAR(60) DEFAULT ' ' NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);
EXEC P_ALTERPK 'PK_ECA_COSTINITENTRY', 'T_ECA_COSTINITENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ECA_COSTCARRYBILL') 
 CREATE TABLE T_ECA_COSTCARRYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FVOUCHERNUM VARCHAR(60) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL
);
EXEC P_ALTERPK 'PK_ECA_COSTCARRYBILL', 'T_ECA_COSTCARRYBILL', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ECA_COSTCARRYBILLENTRY') 
 CREATE TABLE T_ECA_COSTCARRYBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FTRADEID BIGINT DEFAULT 0 NOT NULL,
FROLEID NVARCHAR(60) DEFAULT ' ' NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL
);
EXEC P_ALTERPK 'PK_ECA_COSTCARRYBILLENTRY', 'T_ECA_COSTCARRYBILLENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ECA_COSTCARRYBILL_LK') 
 CREATE TABLE T_ECA_COSTCARRYBILL_LK (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID  BIGINT DEFAULT 0 NOT NULL
);
EXEC P_ALTERPK 'PK_ECA_COSTCARRYBILL_LK', 'T_ECA_COSTCARRYBILL_LK', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ECA_COSTCARRYBILL_TC') 
 CREATE TABLE T_ECA_COSTCARRYBILL_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID  BIGINT DEFAULT 0 NOT NULL
);
EXEC P_ALTERPK 'PK_ECA_COSTCARRYBILL_TC', 'T_ECA_COSTCARRYBILL_TC', 'FID', '1';

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ECA_table.sql **/
